<?php

/**
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at http://support.sugarcrm.com/Resources/Master_Subscription_Agreements/
 * except that this file is provided "as is" without warranty and no support
 * will be provided by SugarCRM for this file.
 *
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 *
 * @package Scheduler-run
 * @author Olivier Nepomiachty
 * @version 0.4.1
 */

$manifest = array(
//    'acceptable_sugar_flavors' => array('CE','PRO','CORP','ENT','ULT'),
    'acceptable_sugar_versions' => array(
        'regex_matches' => array('.*$'),
    ),
    'author' => 'SOFTVISION',
    'description' => 'Runs schedulers on demand',
    'icon' => '',
    'is_uninstallable' => true,
    'name' => 'Scheduler-Run',
    'published_date' => '2017-10-04 17:05',
    'type' => 'module',
    'version' => '0.4.1',
);

$installdefs = array(
    'id' => 'SCHEDULER_RUN',
    'copy' => array(
        0 => array(
            'from' => '<basepath>/custom/clients/base/api/SchedulerRun.php',
            'to' => 'custom/clients/base/api/SchedulerRun.php',
        ),
        1 => array(
            'from' => '<basepath>/custom/clients/base/views/scheduler-run/scheduler-run.php',
            'to' => 'custom/clients/base/views/scheduler-run/scheduler-run.php',
        ),
        2 => array(
            'from' => '<basepath>/custom/clients/base/views/scheduler-run/scheduler-run.js',
            'to' => 'custom/clients/base/views/scheduler-run/scheduler-run.js',
        ),
        3 => array(
            'from' => '<basepath>/custom/clients/base/views/scheduler-run/scheduler-run.hbs',
            'to' => 'custom/clients/base/views/scheduler-run/scheduler-run.hbs',
        ),

    ),
);
?>
